# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class Service.ClientInputProperties

    java.lang.Object
      com.google.gdata.client.Service.ClientStreamProperties
          com.google.gdata.client.Service.ClientInputProperties

All Implemented Interfaces:
  com.google.gdata.wireformats.input.InputProperties, com.google.gdata.wireformats.StreamProperties

Enclosing class:
  Service

    protected class Service.ClientInputProperties

extends Service.ClientStreamProperties
implements com.google.gdata.wireformats.input.InputProperties

The ClientInputProperties class is an adaptor class that implements the `InputProperties` interface for content to be read from the target service based upon its attributes and a `Service.GDataRequest`.

Field Summary
`protected ContentType` `inputType`

Fields inherited from class com.google.gdata.client.Service.ClientStreamProperties
`queryMap, req`

Constructor Summary
`protected` `Service.ClientInputProperties(ContentType inputType, java.lang.Class<?> expectType)`
`protected` `Service.ClientInputProperties(Service.GDataRequest req, java.lang.Class<?> expectType)`

Method Summary
`ContentType` `getContentType()` Returns the MIME content type of data on the stream.
`com.google.gdata.model.ElementMetadata<?,?>` `getRootMetadata()` Returns the `ElementMetadata` for the root object that is being read from or written to the stream.
`java.lang.Class<?>` `getRootType()` Returns the expected root type that will be produced as a result of parsing the content.
`boolean` `isPartial()`

Methods inherited from class com.google.gdata.client.Service.ClientStreamProperties
`getAltFormat, getAltRegistry, getExtensionProfile, getGDataRequest, getMetadataContext, getParameterMap, getQueryParameter, getQueryParameterNames, getRequestVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.wireformats.StreamProperties
`getAltRegistry, getExtensionProfile, getQueryParameter, getQueryParameterNames`

Field Detail

### inputType

    protected final ContentType inputType

Constructor Detail

### Service.ClientInputProperties

    protected Service.ClientInputProperties(Service.GDataRequest req,
                                            java.lang.Class<?> expectType)
                                     throws java.io.IOException,
                                            ServiceException

Throws:
  `java.io.IOException`
  `ServiceException`

### Service.ClientInputProperties

    protected Service.ClientInputProperties(ContentType inputType,
                                            java.lang.Class<?> expectType)
                                     throws java.io.IOException,
                                            ServiceException

Throws:
  `java.io.IOException`
  `ServiceException`

Method Detail

### getContentType

    public ContentType getContentType()

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns the MIME content type of data on the stream.

  Specified by:
    `getContentType` in interface `com.google.gdata.wireformats.StreamProperties`
  Returns:
    data content type

### getRootType

    public java.lang.Class<?> getRootType()

  Description copied from interface: `com.google.gdata.wireformats.input.InputProperties`
  Returns the expected root type that will be produced as a result of parsing the content. The parse result will be of this type or a subtype that extends or implements the root type.

  Specified by:
    `getRootType` in interface `com.google.gdata.wireformats.input.InputProperties`

### getRootMetadata

    public com.google.gdata.model.ElementMetadata<?,?> getRootMetadata()

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns the `ElementMetadata` for the root object that is being read from or written to the stream. This metadata will already be bound to the appropriate `MetadataContext` for the currently executing request.

  Specified by:
    `getRootMetadata` in interface `com.google.gdata.wireformats.StreamProperties`

### isPartial

    public boolean isPartial()

  Overrides:
    `isPartial` in class `Service.ClientStreamProperties`